Invoice items
List the authenticated company's Dashdoc invoice item catalogue. Requires Dashdoc Invoicing enabled for the company and TMS read access.
Enabled and disabled items are returned by default. Results are ordered by description, ignoring case.
Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.
Example of authenticated request
$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Filter by enabled status. Omit this parameter to include both enabled and disabled items.
Page number within the paginated result set.
1Number of items per page.
20Paginated Dashdoc invoice items.
Total number of items matching the filters.
1URL of the next page, or null on the last page.
URL of the previous page, or null on the first page.
Invalid or unknown query parameters.
Authentication required.
Access to this company's Dashdoc invoice item catalogue is not permitted.
The requested page is out of range.
GET /api/v4/dashdoc-invoice-items/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Accept: */*
{
"count": 1,
"next": "https://example.com",
"previous": "https://example.com",
"results": [
{
"uid": "a5438c2d-39ef-42d6-8af5-b549fa7a3510",
"description": "Transport",
"line_description": "Transport service",
"account_code": "706000",
"enabled": true,
"tax_code": {
"dashdoc_id": "FR_200",
"tax_rate": "20.00",
"tax_type": "VAT"
}
}
]
}List invoice items from external invoicing connectors for companies that do not use Dashdoc Invoicing. For the Dashdoc Invoicing catalogue, use GET /dashdoc-invoice-items/.
Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.
Example of authenticated request
$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
A page number within the paginated result set.
Get successful
1GET /api/v4/invoices/items/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Accept: */*
Get successful
{
"count": 1,
"next": "text",
"previous": "text",
"results": [
{
"uid": "687cddac-dbd2-11ea-9024-0242ac130006",
"remote_id": "ITEM_123",
"description": "Gas transportation"
}
]
}Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.
Example of authenticated request
$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
The id of the invoice item in your system
ITEM_123Default description when a user selects this invoice item for an invoice line
Gas transportationCreate successful
687cddac-dbd2-11ea-9024-0242ac130006The id of the invoice item in your system
ITEM_123Default description when a user selects this invoice item for an invoice line
Gas transportationPOST /api/v4/invoices/items/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 59
{
"remote_id": "ITEM_123",
"description": "Gas transportation"
}Create successful
{
"uid": "687cddac-dbd2-11ea-9024-0242ac130006",
"remote_id": "ITEM_123",
"description": "Gas transportation"
}Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.
Example of authenticated request
$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Dashdoc uid or your remote_id. With a remote_id, you must add lookup_field=remote_id to the query parameters.
{"summary":"Dashdoc uid","value":"2b4c3e6c-35b5-4f3c-9d4f-5d5c8f0e8a11"}Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the remote_id (see path parameters)
Empty body
No content
DELETE /api/v4/invoices/items/{uid_or_remote_id}/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Accept: */*
Empty body
No content
Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.
Example of authenticated request
$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Dashdoc uid or your remote_id. With a remote_id, you must add lookup_field=remote_id to the query parameters.
{"summary":"Dashdoc uid","value":"2b4c3e6c-35b5-4f3c-9d4f-5d5c8f0e8a11"}Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the remote_id (see path parameters)
The id of the invoice item in your system
ITEM_123Default description when a user selects this invoice item for an invoice line
Gas transportationUpdate successful
687cddac-dbd2-11ea-9024-0242ac130006The id of the invoice item in your system
ITEM_123Default description when a user selects this invoice item for an invoice line
Gas transportationPATCH /api/v4/invoices/items/{uid_or_remote_id}/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 59
{
"remote_id": "ITEM_123",
"description": "Gas transportation"
}Update successful
{
"uid": "687cddac-dbd2-11ea-9024-0242ac130006",
"remote_id": "ITEM_123",
"description": "Gas transportation"
}Last updated
Was this helpful?